Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.apifycloud.io/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

GET https://api.apifycloud.io/api/v1/video/{appId}/scheduled-calls/{id}

Authentication

Bearer token required. Scope: scheduling:read

Path parameters

  • appId (UUID, required)
  • id (UUID, required) — the scheduled call id

Response

{
  "data": {
    "call": {
      "id": "uuid",
      "app_id": "uuid",
      "assigned_agent_id": "uuid",
      "booking_source": "api",
      "guest_name": "Jane Doe",
      "guest_phone": "+57 300 555 0100",
      "guest_email": "jane@example.com",
      "guest_timezone": "America/Bogota",
      "scheduled_at": "2026-05-01T15:00:00.000Z",
      "duration_minutes": 30,
      "app_timezone": "America/Bogota",
      "status": "scheduled",
      "created_at": "2026-04-22T12:00:00.000Z"
    },
    "events": [
      {
        "id": "uuid",
        "event_type": "created",
        "actor_type": "api",
        "actor_id": "client_abc",
        "payload": {},
        "created_at": "2026-04-22T12:00:00.000Z"
      }
    ]
  }
}

Errors

  • 403 forbidden unauthorized for app or missing scope
  • 404 not_found call does not belong to this app
  • 500 server_error

Example

curl "https://api.apifycloud.io/api/v1/video/{appId}/scheduled-calls/{id}" \
  -H "Authorization: Bearer {access_token}"